
:root {
    --light-blue: #a0f9fc;
    --dark-blue-tp: rgba(15, 45, 60, 0.5);
    --dark-blue: rgba(15, 45, 60, 0.9);
    --main-text-color: rgb(196, 190, 170);
    --secondary-text-color: white;
}

body {
    height: 100vh;
    width: 100vw;
    overflow: hidden;
    position: fixed;
    margin: 0;
}

h1,
h2,
h3,
h4,
h5 {
    font-family: "Oxanium", sans-serif;
    margin-bottom: 8px;
    margin-top: 8px;
}

#box {
  position: relative;
  z-index: 3;
  outline: var(--light-blue) 2px solid;
  box-shadow: 0 0 8px #00ffc4;
  margin: auto;
  padding: 8px;
  height: calc(100vh - 16px);
  max-width: 1200px;
  width: calc(100vw - 32px);
  border-radius: 8px;
}

#content {
  height: 100%;
  width: 100%;
  background-color: var(--dark-blue-tp);
  border-radius: 8px;
  color: var(--main-text-color);
  
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
}

#city,
#cockpit,
#flicker {
  min-width: 100%;
  min-height: 100%;
  width: auto;
  height: auto;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

#cockpit {
  z-index: 1 !important;
  animation: saturate 4s infinite;
}

#flicker {
  background: rgba(0, 0, 0, 0.1);
  z-index: 2 !important;
  animation: flicker 4s infinite;
}

@keyframes flicker {
  0% {
    opacity: 1;
  }
  5% {
    opacity: 0.7;
  }
  10% {
    opacity: 0.9;
  }
  15% {
    opacity: 0.6;
  }
  20% {
    opacity: 1;
  }
  25% {
    opacity: 0.8;
  }
  30% {
    opacity: 0.9;
  }
  35% {
    opacity: 0.7;
  }
  40% {
    opacity: 1;
  }
  45% {
    opacity: 0.6;
  }
  50% {
    opacity: 0.8;
  }
  55% {
    opacity: 0.9;
  }
  60% {
    opacity: 0.7;
  }
  65% {
    opacity: 1;
  }
  70% {
    opacity: 0.6;
  }
  75% {
    opacity: 0.8;
  }
  80% {
    opacity: 0.9;
  }
  85% {
    opacity: 0.7;
  }
  90% {
    opacity: 1;
  }
  95% {
    opacity: 0.6;
  }
  100% {
    opacity: 0.8;
  }
}


@keyframes saturate {
  0% {
    filter: saturate(150%);
  }
  5% {
    filter: saturate(70%);
  }
  10% {
    filter: saturate(90%);
  }
  15% {
    filter: saturate(60%);
  }
  20% {
    filter: saturate(150%);
  }
  25% {
    filter: saturate(80%);
  }
  30% {
    filter: saturate(90%);
  }
  35% {
    filter: saturate(70%);
  }
  40% {
    filter: saturate(150%);
  }
  45% {
    filter: saturate(60%);
  }
  50% {
    filter: saturate(80%);
  }
  55% {
    filter: saturate(90%);
  }
  60% {
    filter: saturate(70%);
  }
  65% {
    filter: saturate(150%);
  }
  70% {
    filter: saturate(60%);
  }
  75% {
    filter: saturate(80%);
  }
  80% {
    filter: saturate(90%);
  }
  85% {
    filter: saturate(70%);
  }
  90% {
    filter: saturate(150%);
  }
  95% {
    filter: saturate(60%);
  }
  100% {
    filter: saturate(80%);
  }
}